var token = $.cookie("token");
var zNodes = [];
var id; //当前节点id
var pid; //当前父节点ID
var name; //选择的name
var pidName; //父节点name
var keyWord = $('.searCon').val(); //关键字
var xlName; //添加下拉框节点name
var table = $('#table1'); //右边表格
var isPass=$('#isPass').val();//是否审核通过
var isSub=$('#isSub').val();//是否提交审核
//搜索按钮
$('.searchGo').click(function() {
	keyWord = $('.searCon').val();
	isPass=$('#isPass').val();
	isSub=$('#isSub').val();
//	if(keyWord) {
		initTable(id,keyWord,isPass,isSub);
//	} else {
//		layer.msg("请输入搜索内容！");
//	}
})
tree();

function tree() {

	$.get(huayi.config.callcenter_url + 'KnowledgeClass/GetList', {
		"token": $.cookie("token"),
		"pid": pid
	}, function(result) {
		result = $.parseJSON(result);
		var zTreeObj=$.fn.zTree.init($("#treeDemo"), setting1, result.data); //实例化树形图
		 var nodes = zTreeObj.getNodes();
            for (var i = 0; i < nodes.length; i++) { //设置节点展开
                zTreeObj.expandNode(nodes[i], true, false, true);
            }
		
	});
}

var setting1 = {
	data: {
		key: {
			name: "text"
		},
		simpleData: {
			enable: true,
			idKey: "id",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function zTreeOnClick(event, treeId, treeNode) {
	id = treeNode.id;
	name = treeNode.text;
	var pidnode = treeNode.getParentNode();
	if(pidnode) {
		pidName = pidnode.text;
		pid = pidnode.id;
	} else {
		pidName = "顶级分类";
		pid == 0;
	}
	keyWord = $('.searCon').val();
	isPass=$('#isPass').val();
	isSub=$('#isSub').val();
	initTable(id,keyWord,isPass,isSub);
};

initTable(id, keyWord,isPass,isSub);

function initTable(id,keyWord,isPass,isSub) {
	//先销毁表格
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "Knowledge/GetList", //获取数据的Servlet地址
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				token:$.cookie("token"),
				pid: id,
				keywords: keyWord,
				ispass:isPass,
				issub:isSub
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function setCode(val, row, index) {
	return index + 1;
}
function detail(val,row){
	return'<div class="content" onclick="goDetail('+ row.F_RepositoryId+')">'+ val +'</div>'
}

function operationBtns(val, row){
	var isShowBtn;
	isShowBtn = row.F_ISSubmitAudit == 0 ? 'inline-block':'none';
	return '<a class="xg" onclick="goDetail(' + row.F_RepositoryId + ')" title="点击查看详情">查看</a>'+
		   '<a class="xg" onclick="editKnowledge(' + row.F_RepositoryId + ')" title="点击编辑">编辑</a>'+
		   '<a class="xg" style="display:'+isShowBtn+'" onclick="submitAudit(' + row.F_RepositoryId + ')" title="点击提交审核">提交审核</a>'+
		   '<a class="xg" onclick="remove(' + row.F_RepositoryId + ')" title="点击删除">删除</a>';
}


//提交审核
function submitAudit(submitId){
	$.post(huayi.config.callcenter_url + "Knowledge/SubAudit", {
			ids: submitId,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase()== "success") {
				layer.msg('已提交审核成功！');
				initTable(id, keyWord,isPass,isSub);
			}
		})
}

//查看详情页
function goDetail(did){
	//iframe窗
    layer.open({
      	type: 2,
      	title: '查看知识库详情',
      	shadeClose: true, //是否开启点击遮罩关闭
      	shade: 0.4, //遮罩
     	maxmin: true, //开启最大化最小化按钮
     	id: 'LAY_layuipro',//防止重复弹出
     	moveType: 1,//拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
     	moveOut: true, //拖拽到窗口外
     	//resize: true,//是否允许拉伸
      	area: ['70%', '50%'],
      	content: 'zhiShiKuDetail.html?id='+ did +''
    });
}
//编辑
function editKnowledge(editId){
	layer.open({
      	type: 2,
      	title: '编辑知识库详情',
      	shadeClose: true, //是否开启点击遮罩关闭
      	shade: 0.4, //遮罩
     	maxmin: true, //开启最大化最小化按钮
     	id: 'LAY_layuipro1',//防止重复弹出
     	moveType: 1,//拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
     	moveOut: true, //拖拽到窗口外
     	//resize: true,//是否允许拉伸
      	area: ['70%', '50%'],
      	content: 'changeZSDetail.html?id='+ editId +''
    });
}
//添加条目
$('.addCon').click(function() {
	//iframe窗
    layer.open({
      	type: 2,
      	title: '添加知识库',
      	shadeClose: true, //是否开启点击遮罩关闭
      	shade: 0.4, //遮罩
     	maxmin: true, //开启最大化最小化按钮
     	id: 'LAY_layuipro2',//防止重复弹出
     	moveType: 1,//拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
     	moveOut: true, //拖拽到窗口外
     	//resize: true,//是否允许拉伸
      	area: ['70%', '50%'],
      	content: 'addZhiShiKu.html'
    });
})

//删除
function remove(delIds){
	layer.confirm('提示：若要删除，要等待审核。您确定要删除吗？', {
		  btn: ['确定','取消'] //按钮
	}, function(){
		$.post(huayi.config.callcenter_url + "Knowledge/DelInfos", {
			ids: delIds,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				debugger;
				layer.msg(result.message);
				initTable(id, keyWord,isPass,isSub);
			}
		})
	});
}
//批量删除
$('.allDel').click(function(){
	var delId = $.map($('#table1').bootstrapTable('getSelections'), function (row) {
        return row.F_RepositoryId;
    });
    if (delId.length <= 0) {
        layer.confirm('请选择一项内容删除！', {
            btn: ['确定']
        });
        return;
    } else {
    	var laye = layer.confirm('提示：若要删除，要等待审核。您确定要删除吗？', {
			btn: ['确定', '取消'] //可以无限个按钮
		}, function() {
			$.ajax({
				type:"post",
				url:huayi.config.callcenter_url + 'Knowledge/DelInfos',
				async:true,
				dataType:'json',
				data:{
					token:$.cookie("token"),
					ids:delId
				},
				success:function(data){
					if(data.state.toLowerCase()=='success'){
						layer.msg(data.message);
						initTable(id, keyWord,isPass,isSub);
					}
				}
			});
		});
    }
})
